Subject: bug#21416: "--" syntax for ignoring flags doesn't seem to work right with GNU /bin/echo

From: "Robert \"Finny\" Merrill" <[email-masked]>
Date: Fri, 4 Sep 2015 15:23:18 -0700

On Fri, Sep 4, 2015 at 3:05 PM, Eric Blake <[email-masked]> wrote:
> On 09/04/2015 01:30 PM, Robert "Finny" Merrill wrote:
> It's not "shall not be recognized [ever]", but "shall not be recognized
> in the manner [common to most utilities].  The very next phrase says
> that it "shall be recognized as a string operand".
>
> Or put another way, as a special case for the 'echo' utility, '--' shall
> be treated the same as any other argument, and always be output
> literally, rather than being recognized as the special elided
> end-of-options marker, because 'echo' does not understand options (at
> least when POSIX rules are in effect).

So then, when POSIX rules /aren't/ in effect, why not have -- work as
it usually does, since we're already breaking those rules by accepting
the --help option?